# class Gtk::Stack

### Public Instance Methods

add(widget, name=nil, title=nil) click to toggle source
Calls superclass method

    # File lib/gtk3/stack.rb, line 42
    def add(widget, name=nil, title=nil)
      if title
        add_titled(widget, name, title)
      elsif name
        add_named(widget, name)
      else
        super(widget)
      end
      self
    end

set_visible_child(widget_or_name, transition_type=nil) click to toggle source

    # File lib/gtk3/stack.rb, line 21
    def set_visible_child(widget_or_name, transition_type=nil)
      case widget_or_name
      when String
        name = widget_or_name
      else
        widget = widget_or_name
      end

      if widget
        set_visible_child_raw(widget)
      else
        if transition_type
          set_visible_child_full(name, transition_type)
        else
          set_visible_child_name(name)
        end
      end
    end